<?php
session_start();

// اگر کاربر قبلاً لاگین کرده باشد، به صفحه welcome.php هدایت شود
if (isset($_SESSION["username"])) {
    header("Location: welcome.php");
    exit();
}
?>

<!DOCTYPE html>
<html lang="fa">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Login Page</title>
    <style>
        body {
            font-family: 'font/normal.ttf';
            text-align: right;
            background-color: #f4f4f4;
            margin: 0;
            padding: 0;
        }
        .login-container {
            width: 300px;
            margin: 100px auto;
            background-color: #fff;
            padding: 20px;
            border-radius: 5px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
        }
        h2 {
            text-align: center;
            color: #333;
        }
        label {
            display: block;
            margin-bottom: 5px;
            color: #555;
        }
        input {
            width: 100%;
            padding: 10px;
            margin-bottom: 10px;
            box-sizing: border-box;
        }
        button {
            width: 100%;
            padding: 10px;
            background-color: #3498db;
            color: #fff;
            border: none;
            border-radius: 3px;
            cursor: pointer;
        }
        button:hover {
            background-color: #2980b9;
        }
        .alert {
            margin-top: 10px;
            padding: 10px;
            border-radius: 3px;
            color: #fff;
            font-weight: bold;
             
        }
        .alert-success {
            background-color: #27ae60;
        }
        .alert-danger {
            background-color: #e74c3c;
        }
    </style>
</head>
<body>
    <div class="login-container">
        <h2>ورود به سیستم</h2>
        <form action="login.php" method="post">
            <label for="username">نام کاربری:</label>
            <input type="text" name="username" required>
            <label for="password">رمز عبور:</label>
            <input type="password" name="password" required>
            <button type="submit">ورود</button>
            <?php
                if(isset($_GET['message']) && $_GET['status'] == 'error') {
                    $errorMessage = $_GET['message'];
                    echo "<div class='alert alert-danger'>$errorMessage</div>";
                }
            ?>
        </form>
    </div>
</body>
</html>
