<?php
session_start();

if (!isset($_SESSION["username"])) {
    header("Location: index.php");
    exit();
}

$username = $_SESSION["username"];
?>

<!DOCTYPE html>
<html lang="fa">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Welcome</title>
    <style>
        body {
            font-family: 'font/normal.ttf';
            text-align: right;
            background-color: #f4f4f4;
            margin: 0;
            padding: 0;
        }
        .welcome-container {
            width: 800px;
            margin: 50px auto;
            background-color: #fff;
            padding: 20px;
            border-radius: 5px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
            position: relative;
        }
        h2 {
            text-align: center;
            color: #333;
        }
        .button-container {
            display: flex;
            flex-direction: column;
            align-items: center;
            margin-top: 20px;
        }
        .button {
            width: 180px;
            padding: 10px;
            background-color: #3498db;
            color: #fff;
            border: none;
            border-radius: 3px;
            cursor: pointer;
            text-align: center;
            margin-bottom: 15px;
            text-decoration: none;
        }
        .button:hover {
            background-color: #2980b9;
        }
        .icon {
            display: block;
            margin: 10px auto;
            width: 50px;
            height: 50px;
        }
        .user-info {
            position: absolute;
            top: 10px;
            left: 10px;
            font-size: 16px;
        }
        .logout {
            position: absolute;
            top: 10px;
            right: 10px;
            font-size: 16px;
            text-decoration: none;
            color: #333;
        }
    </style>
</head>
<body>
    <div class="welcome-container">
        <div class="user-info"><?php echo "خوش آمدید، $username!"; ?></div>
        <a href="logout.php" class="logout">خروج</a>

        <h2>صفحه خوش آمدگویی</h2>

        <div class="button-container">
            <a href="manage_vpn.php" class="button">
                <img src="img/img1.png" alt="مدیریت مشخصات وی پی ان" class="icon">
                مدیریت مشخصات وی پی ان
            </a>
            
            <a href="config_list.php" class="button">
                <img src="img/img2.png" alt="لیست کانفیگ ها" class="icon">
                لیست کانفیگ ها
            </a>
            
            <a href="addmob_settings.php" class="button">
                <img src="img/img3.png" alt="تنظیمات اددموب" class="icon">
                تنظیمات اددموب
            </a>
            
            <a href="app_settings.php" class="button">
                <img src="img/img4.png" alt="تنظیمات برنامه" class="icon">
                تنظیمات برنامه
            </a>
        </div>
    </div>
</body>
</html>
